<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Traits\Autenticable;
use DB;

class CentroCostoController extends Controller
{
    use Autenticable;

    public function index(Request $request){
        $datos = $request->json()->all();
        $token = $request->header('token');

        $usuario = $this->valida_token($token);
        if (is_null($usuario)) {
            return $this->tokenInvalido();
        }

        $centro_costo = DB::table('ccosto_empresa')
            ->select('id as id', 'nombre as nombre', 'descripcion as descripcion', 'id_estado as estado')
            ->whereRaw('id_empresa = \''.$usuario->rut_empresa.'\'')
            ->get();

        return response()->json((array) $centro_costo);
    }
}
